import { AdminRolePermissionService } from "./admin.rolepermission.service";
import { CreateRolePermissionDto, UpdateRolePermissionDto } from "./admin.rolepermission.dto";
export declare class AdminRolePermissionController {
    private readonly adminRolePermissionService;
    constructor(adminRolePermissionService: AdminRolePermissionService);
    create(CreateRoleDto: CreateRolePermissionDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/rolepermission/rolepermission.entity").RolePermission[];
    }>;
    findRolePermission(roleId: number): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/rolepermission/rolepermission.entity").RolePermission[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/rolepermission/rolepermission.entity").RolePermission;
    }>;
    update(id: string, UpdateRoleDto: UpdateRolePermissionDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
}
